Kerbal Space Program - Bug #9824

Game Crashes Frequently
06/02/2016 06:30 PM - dimarti

Status: Needs Clarification Start date: 06/02/2016
Severity: High % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

My game crashes either inside the VAB or transitioning to outside the VAB.
This happens almost every visit to the VAB.

| am just about ready to give up the game entirely.

It appears that the game is trying to load the 32bit version of mono, | dunno why this would be.

History

#1 - 06/02/2016 06:32 PM - dimarti

FYI brand new PC, fresh install. ( this happened on the older machine, with an older version of Linux identically also).
#2 - 06/03/2016 01:07 PM - sal_vager

Hello Dimarti, your log shows that Steam is using the 32bit version of KSP.

Open the properties for KSP in your Steam client and add this to the command box.

command_x64

That will make Steam open the 64bit version of KSP for Linux.

#3 - 06/06/2016 06:12 AM - Jarin

- File KSP.log added
- File output_log.txt added

sal_vager wrote:
Hello Dimarti, your log shows that Steam is using the 32bit version of KSP.
Open the properties for KSP in your Steam client and add this to the command box.
command_x64

That will make Steam open the 64bit version of KSP for Linux.

Regular crashes here as well. Confirmed that game is launching in 64 bit. Including logs (output_log.txt has crash stack trace)

Windows event viewer recorded this application error:

Faulting application name: KSP_x64.exe, version: 5.2.4.2391, time stamp: 0x566b7225

Faulting module name: ntdll.dll, version: 10.0.10586.306, time stamp: 0x571af2eb

Exception code: 0xc0000005

Fault offset: 0x000000000002e909

Faulting process id: 0x3830

Faulting application start time: 0x01d1bfb0f73e3771

Faulting application path: F:\SteamLibrary\steamapps\common\Kerbal Space Program\KSP_x64.exe
Faulting module path: C:\WINDOWS\SYSTEM32\ntdIl.dll
Report Id: 974fd018-9950-415¢c-bec1-c30695c51cal
Faulting package full name:
Faulting package-relative application ID:

#4 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 08/21/2016 04:15 PM - PSU_Jedi

| have the same issue, specifically when | am building inside VAB.

message states "KSP_x64.exe" has crashed.

Have confirmed that | am running the x64 version of the game (Windows error

Files

KSP.log 276 KB 06/02/2016 dimarti
Player.log 627 KB 06/02/2016 dimarti
KSP.log 999 KB 06/06/2016 Jarin
output_log.txt 2.26 MB 06/06/2016 Jarin
